package edu.nyu.scps.map;

import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.view.Menu;
import android.view.MenuItem;
import android.webkit.JsResult;
import android.webkit.WebChromeClient;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.widget.Toast;


public class MainActivity extends ActionBarActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        WebView webView = (WebView)findViewById(R.id.webView);

        WebSettings webSettings = webView.getSettings();
        webSettings.setJavaScriptEnabled(true);
        webView.setVerticalScrollBarEnabled(false);

        webView.setWebViewClient(new WebViewClient() {
            //Called when the WebView has finished loading the page of HTML.
            @Override
            public void onPageFinished(WebView view, String url) {
/*
			    Toast toast = Toast.makeText(MainActivity.this, "onPageFinished " + url,
			        Toast.LENGTH_LONG);
			    toast.show();
*/
                //Woolworth Building
                float latitude = 40.712222f;
                float longitude = -74.008056f;
                int zoom = 18;
                String javascript = String.format("javascript:mapFunction(%f, %f, %d)",
                        latitude, longitude, zoom);
                view.loadUrl(javascript);
            }
        });

        webView.setWebChromeClient(new WebChromeClient() {
            //Called when the JavaScript alert function is called.
            @Override
            public boolean onJsAlert(WebView view, String url, String message, JsResult result) {
                Toast toast = Toast.makeText(MainActivity.this, "onJsAlert " + url + " " + message,
                        Toast.LENGTH_LONG);
                toast.show();

                //Cause the JavaScript alert function to return.
                result.confirm();
                return true;
            }
        });
        webView.loadUrl("file:///android_asset/map.html");
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
